# Query Parameters

The [Company Data API](/company-data-api/introduction.md) provides several ways to query information on a company using different identifiers:

* Company Website Domain
* Company Name
* DUNS
* FIGI
* Craft Company ID

**Here are a few different examples:**

#### Find a company by name:

```graphql
# Query
query findCompanyByName($name: String!) {
    company(nameContains: $name) {
        displayName
        locationsCount
    }
}

# Variables
{ "name": "Stripe" }
```

#### Find a company by DUNS:

```graphql
# Query
query findCompanyByDUNS($duns: String!) {
    company(duns: $duns) {
        displayName
        locationsCount
    }
}

# Variables
{ "duns": "966357621" }
```

#### Find a company by domain:

```graphql
# Query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        displayName
        locationsCount
        homepage
    }
}

# Variables
{ "domain": "stripe.com" }
```

{% content-ref url="/pages/-LsXQlZ8ST1VYBBDctTU" %}
[Core data types](/company-data-api/graphql-objects.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/ways-to-query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
